Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.webflow
Class JsfViewFactoryCreator

    java.lang.Object
      org.springframework.faces.webflow.JsfViewFactoryCreator

All Implemented Interfaces:
  ViewFactoryCreator

    public class JsfViewFactoryCreator

extends java.lang.Object
implements ViewFactoryCreator

A `ViewFactoryCreator` implementation for creating instances of a JSF-specific `ViewFactory`.

Author:
  Jeremy Grelle

Constructor Summary
`JsfViewFactoryCreator()`

Method Summary
`ViewFactory` | `createViewFactory(Expression viewIdExpression, ExpressionParser expressionParser, ConversionService conversionService, BinderConfiguration binderConfiguration, org.springframework.validation.Validator validator)` Create a view factory capable of creating `View` objects that can render the view template with the provided identifier.
`java.lang.String` | `getViewIdByConvention(java.lang.String viewStateId)` Get the default id of the view to render in the provided view state by convention.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JsfViewFactoryCreator

    public JsfViewFactoryCreator()

Method Detail

### createViewFactory

    public ViewFactory createViewFactory(Expression viewIdExpression,
                                         ExpressionParser expressionParser,
                                         ConversionService conversionService,
                                         BinderConfiguration binderConfiguration,
                                         org.springframework.validation.Validator validator)

  Description copied from interface: `ViewFactoryCreator`
  Create a view factory capable of creating `View` objects that can render the view template with the provided identifier.

  Specified by:
    `createViewFactory` in interface `ViewFactoryCreator`
  Parameters:
    `viewIdExpression` - an expression that resolves the id of the view to render
    `expressionParser` - an optional expression parser to use to resolve view expressions
    `conversionService` - an optional conversion service to use to format text values
    `binderConfiguration` - information on how the rendered view binds to a model that provides its data
    `validator` - a global validator to invoke
  Returns:
    the view factory

### getViewIdByConvention

    public java.lang.String getViewIdByConvention(java.lang.String viewStateId)

  Description copied from interface: `ViewFactoryCreator`
  Get the default id of the view to render in the provided view state by convention.

  Specified by:
    `getViewIdByConvention` in interface `ViewFactoryCreator`
  Parameters:
    `viewStateId` - the view state id
  Returns:
    the default view id

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD